#include <def21262.h>
#include <cdef21262.h>

asm("#include <def21262.h>");

// Configure the SW9 switch position 6 to OFF to use the LEDs as Flags.

#define LED_address 0x1400000

void main()
{
	int i;
	
	*pSYSCTL |= PPFLGS;
	
	*pPPCTL = 0;
	
	
	asm("FLAGS = FLG8O |FLG9O | FLG10O | FLG11O | FLG12O | FLG13O | FLG14O | FLG15O;"); 	
	
	while(1)
	{
		asm("ustat1 = FLAGS;");
		asm("bit set ustat1 FLG8 |FLG9 | FLG10 | FLG11 | FLG12 | FLG13 | FLG14 | FLG15;"); 
		asm("FLAGS = ustat1;");
	
		for( i = 0; i < 0xFFFFFF; i++ )
		{
			asm("nop;");
		}
	
	
		asm("ustat1 = FLAGS;");
		asm("bit clr ustat1 FLG8 |FLG9 | FLG10 | FLG11 | FLG12 | FLG13 | FLG14 | FLG15;"); 
		asm("FLAGS = ustat1;");
	

		for( i = 0; i < 0xFFFFFF; i++ )
		{
			asm("nop;");
		}  
		
	}
	
}

